# A page as a flat block tree with its version and its validation issues

`GET /hosting/sites/{id}/pages/{page}` · Rivier · hosting

A page as a flat block tree with its version and its validation issues.

- Scope: hosting:read
- Mcp: rivier_site_page_tree_get
- Graphql: Query.hostingSitePageGet
- Sdk: hosting.sitePage.get
- Cli: hosting site page get

## Parameters

- `id` (path, required), string
- `page` (path, required), string

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/hosting/sites/{id}/pages/{page}' \
  -H 'Authorization: Bearer $KEY'
```
